
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>IIS7配置PHP环境完整教程 / iVAN</title>

    <meta name="description" content="IIS7配置PHP环境完整教程   我们知道php配置有几种: 1.CGI方式加载PHP环境,通常就是IIS里面配置解释器为php.exe,早期比较常见,目前使用较少. 特点是:稳定,但效率太低. 2.ISAPI方式加载PHP环境,通常就是IIS里面配置解释器为php5isapi.dll,目前使用最多,应用最广. 特点是:多线程,效率较高,但不够稳定. 3.FastCGI方式加载PHP环境,在IIS环境里并不常见,但其它系统环境应用还是有的,不过IIS7.0开始内置FastCGI了. 特点是:高效率,高稳定性,属于将来发展趋势">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">IIS7配置PHP环境完整教程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　我们知道php配置有几种：</p>
<p>　　1、CGI方式加载PHP环境，通常就是IIS里面配置解释器为php.exe，早期比较常见，目前使用较少。</p>
<p>　　特点是：稳定，但效率太低。</p>
<p>　　2、ISAPI方式加载PHP环境，通常就是IIS里面配置解释器为php5isapi.dll，目前使用最多，应用最广。</p>
<p>　　特点是：多线程，效率较高，但不够稳定。</p>
<p>　　3、FastCGI方式加载PHP环境，在IIS环境里并不常见，但其它系统环境应用还是有的，不过IIS7.0开始内置FastCGI了。</p>
<p>　　特点是：高效率，高稳定性，属于将来发展趋势。</p>
<p>　　我试过其他的特别麻烦，PHP 5.3发布的Windows版已经不支持ISAPI模式了，所以我打算按微软推荐的FastCGI方式运行PHP。</p>
<p>　　我用的就第三种，也是最好最快的，因为FastCGI大大加强了IIS处理PHP的能力,能迅速提高PHP站点的反应速度和生产力,</p>
<p>　　并具有更高的稳定性和安全性.</p>
<p>　　下载地址：http://windows.php.net/download/</p>
<p>　　里面有好多种，要那种呢?</p>
<p>　　PHP现在推出5.3.2版本了，不过下载的时候有几个不同版本选择。那就是VC6 X86和VC9 X86。 首先我来解答:</p>
<p>　　VC6是什么?</p>
<p>　　VC6就是legacy Visual Studio 6 compiler，就是使用这个编译器编译的。</p>
<p>　　VC9是什么?</p>
<p>　　VC9就是the Visual Studio 2008 compiler，就是用微软的VS编辑器编译的。</p>
<p>　　那我们如何选择下载哪个版本的PHP呢?</p>
<p>　　如果你是在windows下使用Apache+PHP的，请选择VC6版本;</p>
<p>　　如果你是在windows下使用IIS+PHP的，请选择VC9版本;</p>
<p>　　那Non Thread Safe是什么?</p>
<p>　　Non Thread Safe就是非线程安全;</p>
<p>　　Thread Safe 是什么?</p>
<p>　　Non Thread Safe 是线程安全;</p>
<p>　　FastCGI执行方式是以单一线程来执行操作，所以不需要进行线程的安全检查，除去线程安全检查的防护反而可以提高执行效率，所以，如果是以  FastCGI(无论搭配 IIS 6 或 IIS 7)执行 PHP ，都建议下载、执行 non-thread safe 的 PHP (PHP  的二進位檔有兩種包裝方式：msi 、zip ，請下載 zip 套件)所以我们选择NO-Thread Safe 版本的PHP来使用。</p>
<p>　　而线程安全检查正是为ISAPI方式的PHP准备的，因为有许多php模块都不是线程安全的，所以需要使用Thread Safe的PHP。</p>
<p>　　下载安装，我安装默认路径了：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vZWZlZDBjYjY2Zjc3NmRjYzJhMGUzY2VlNDIxMTdmNjYucG5n.jpg"><br />　　记得选中第三项：IIS FASTCGI</p>
<p>　　如果没有安装IIS FASTCGI的 下一步会提示没有安装的，下载安装就行了</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vYzQwY2MxY2NjNDJjOTFlYmQyYzFkNGRmNDliNTlkMWIucG5n.jpg"><br />　　FastCGI for IIS 6 7 http://www.iis.net/expand/fastcgi</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vOWY1MzA1YzhjMzJlZjI4ODRkODkwMWQ4ZjcyMmQ2ZjEucG5n.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNTBjZDQ5MTNkZTllMGUxMDBlMTZkZjc1ZjQwNjM1MjkucG5n.jpg"><br />　　安装好后，继续下一步，我按照默认了：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vYjMwMTA0MzY1ZmEwMDBlMWRjZjhiNzM0ZGUzZjk5ZGIucG5n.jpg"><br />　　安装完毕后，就是配置了。</p>
<p>　　这种配置有两种方法，我用cmd配置，一条命令就行了。</p>
<p>　　转到刚才安装CGI的目录下：</p>
<p>　　&gt;cd C:WINDOWSsystem32inetsrv</p>
<p>　　&gt;cscript fcgiconfig.js -add -section:"PHP" -extension:php  -path:"C:Program FilesPHPphp-cgi.exe"</p>
<p>　　注意：path:"xxxxphp-cgi.exe” 是你安装php的目录</p>
<p>　　&gt; cscript fcgiconfig.js -set -section:"PHP"  -InstanceMaxRequests:10000</p>
<p>　　&gt; cscript fcgiconfig.js -set -section:"PHP"  -EnvironmentVars:PHP_FCGI_MAX_REQUESTS:10000</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vM2NmY2E0NzVjZWYyMzYxOTA1YTAxZTkyN2M3M2YwNTkucG5n.jpg"><br />　　ok!完毕!</p>
<p>　　测试下：</p>
<p>　　新建一个.php文件，里面</p>
<p>　　phpinfo();</p>
<p>　　?&gt;</p>
<p>　　保存!</p>
<p>　　运行，出现下面页面，说明配置成功了!</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNmY3NTkxNzJmZmZiYzJlMzllN2I1NWYyNjc4ODczYjkucG5n.jpg"><br />　　这样的方法 IIS就不用怎么配置，他都会自动配置好了!微软提供的配置更加详细 !</p>
<p>　　如果按上面的教程配置好后，运行php测试页面，出现了500错误。</p>
<p>　　那就设置php.ini中的date.timezone项。</p>
<p>　　我这里设置成上海时区：date.timezone = Asia/Shanghai</p>
<p>　　设置完后就一切正常了!</p>
<p>　　在这里会出现几个问题的，需要注意一下：(我自己配置的时候遇到的问题)</p>
<p>　　1.对于空机子的服务器，一般没有安装别的什么数据库软件的，所以大家运行一下C:Program  FilesPHPphp-cgi.exe，是否会出现问题，然后解决问题。(用cmd试运行)</p>
<p>　　运行C:Program  FilesPHPphp-cgi.exe，如果能进入命令窗口并且只有光标，说明FastCGI能正常调用php-cgi,否则会提示错误，如图</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNGNiZTFjMjlhZDAwNWNiNzI2ZjdlOTk5YTM2NzZhNWEuanBn.jpg"><br />　　2.运行测试页面就显示500错误(我自己遇到了问题，然后在网上找到了解决方法。)</p>
<p>　　解决方法：</p>
<p>　　打开IE----INTERNET选项--------高级------------显示友好的HTTP错误前面的勾去掉，再出现错误的时候会提示你错误的具体提示。</p>
<p>　　提示：</p>
<p>　　PHP Warning: Unknown: open(c:phpupload_tmpsess_li3ardp5qtalfj4, O_RDWR)  failed: Permission denied (13) in Unknown on line 0 PHP Warning:</p>
<p>　　Unknown: open(c:phpupload_tmpsess_li3ardbp5qtalfj4, O_RDWR) failed:  Permission denied (13) in Unknown on line 0 PHP Warning: Unknown: Failed</p>
<p>　　to write session data (files). Please verify that the current setting of  session.save_path is correct (c:phpupload_tmp) in Unknown on line 0</p>
<p>　　这说明我没有给c:phpupload_tmp写入权限，给了.写入权限，解决!</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:42:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e5%bc%8f/" title="方式">方式</a>, <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/php%e7%8e%af%e5%a2%83%e9%85%8d%e7%bd%ae%e6%95%99%e7%a8%8b/" title="PHP环境配置教程">PHP环境配置教程</a>, <a href="https://www.iamivan.net/tag/iis/" title="iis">iis</a>, <a href="https://www.iamivan.net/tag/fastcgi/" title="fastcgi">fastcgi</a>, <a href="https://www.iamivan.net/tag/php%e5%a4%9a%e7%89%88%e6%9c%aciis7php_manager/" title="php多版本iis7php&lowbar;manager">php多版本iis7php&lowbar;manager</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%aevc%e6%95%b0%e6%8d%ae%e5%ba%93/" title="配置vc数据库">配置vc数据库</a>, <a href="https://www.iamivan.net/tag/vc6%e7%bc%96%e8%af%91%e5%99%a8/" title="vc6编译器">vc6编译器</a>, <a href="https://www.iamivan.net/tag/php%e9%85%8d%e7%bd%ae%e6%96%b9%e5%bc%8f/" title="php配置方式">php配置方式</a>, <a href="https://www.iamivan.net/tag/c-c-%e9%97%ae%e9%a2%98vc-6-0/" title="c&plus;&plus;c&plus;&plus;问题vc&plus;&plus; 6 0">c&plus;&plus;c&plus;&plus;问题vc&plus;&plus; 6 0</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>IIS7配置PHP环境完整教程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Rdr0z.html" rel="bookmark">IIS7配置PHP环境图文教程（fastcgi快速最新版）&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道php配置有几种: 1.CGI方式加载PHP环境,通常就是IIS里面配置解释器为php.exe,早期比较常见,目前使用较少. 特点是:稳定,但效率太低. 2.ISAPI方式加载PHP环境,通常就是IIS里面配置解释器为php5isapi.dll,目前使用最多,应用最广. 特点是:多线程,效率较高,但不够稳定. 3.FastCGI方式加载PHP环境,在IIS环境里并不常见,但其它系统环境应用还是有的,不过IIS7.0开始内置FastCGI了. 特点是:高效率,高稳定性,属于将来发展趋势.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBYl54z.html" rel="bookmark">windows下安装iis7配置php环境图文教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP5.2.17 官方下载: http://windows.php.net/downloads/releases/php-5.2.17-Win32-VC6-x86.zip PHP5.3.5 官方下载:http://windows.php.net/downloads/releases/php-5.3.5-Win32-VC9-x86.zip 首先安装好IIS7 安装的时候 要注意三个地方打得勾   注:   CGI  会在IIS7+PHP_5.3.5的环境中用到        ISAPI扩展和IS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlVZPRz.html" rel="bookmark">win2003 iis配置PHP环境图文教程&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				配置PHP环境 下载 FastCGI 1.5 for IIS x86 / x64,添加fastcgi映射 编辑C:\WINDOWS\system32\inetsrv\fcgiext.ini内容如下 复制代码 代码如下: [Types] php=PHP [PHP] ExePath=D:\php\php-cgi.exe InstanceMaxRequests=10000 EnvironmentVars=PHP_FCGI_MAX_REQUESTS:10000 d:\php\php.ini主要修改点如下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7k9n5z.html" rel="bookmark">在Ubuntu系统中配置chroot环境的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  你可能会有很多理由想要把一个应用.一个用户或者一个环境与你的 linux 系统隔离开来.不同的操作系统有不同的实现方式,而在 linux 中,一个典型的方式就是 chroot 环境. 在这份教程中,我会一步一步指导你怎么使用 chroot 命令去配置一个与真实系统分离出来的独立环境.这个功能主要可以用于测试项目,以下这些步骤都在 Ubuntu 14.04 虚拟专用服务器(VPS)上执行. 学会快速搭建一个简单的 chroot 环境是一项非常实用的技能,绝大多数系统管理员都能从中受益. Chr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeRqx9b.html" rel="bookmark">Linux系统安装配置PHP环境&lpar;Apache2&rpar;教程详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Linux环境下配置安装PHP环境(Apache2),参考了一些别人的配置方法,遇到问题上网查.下面就是安装步骤:   一.安装Apache2.2.22 1.到官网下载  http://httpd.apache.org/download.cgi    2.解压    tar  -zxvf httpd-2.2.22.tar.gz 3.建立目标文件夹(注意以下所有操作都时在root用户下执行的)    mkdir /usr/local/apache2    也就是说等下安装的apache2要安装到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPL8jlp.html" rel="bookmark">腾讯云安装配置iis环境的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 登录进入到服务器然后找到左下角的&quot;Start&quot; 进入后我们再点击Server Manager 接着找到下面的&quot;Server Manager&quot;管理界面,细节如下所示 2. 然后接着进入之后我们再找到下边的&quot;Add Roles&quot;添加服务器角色,在如图所示我们点击Web Server(IIS),如下图所示 3. 好了在角色选择时我们一定要把&quot;CGI&quot;选中了,如下图所示 4. 好了其它的操作设置好了只要点击&quot;insta			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1YNZb.html" rel="bookmark">windows server 2008&sol;2012安装php iis7 mysql环境搭建教程&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				windows server 2008/2012安装php iis7 mysql环境搭建教程,具体内容如下 1.安装IIS windows server 2008的IIS版本为7.0,包括fastcgi,安装十分方便. 打开&quot;开始&quot;菜单→&quot;服务器管理&quot;,出现服务器管理界面(图1) 图1 - 服务器管理 滚动条下翻,或者点击主菜单的&quot;角色&quot;,然后点击&quot;添加角色&quot;,出现向导页面后点击下一步,选择&quot;web服务器(IIS)&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWD0Wrp.html" rel="bookmark">Windows中IIS7&plus;FastCGI配置PHP环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在IIS上搭建PHP环境的方式主要有三种,优劣如下: 1.CGI方式加载PHP环境,通常就是IIS里面配置解释器为php.exe,早期比较常见,目前使用较少. 特点是:稳定,但效率太低. 2.ISAPI方式加载PHP环境,通常就是IIS里面配置解释器为php5isapi.dll,目前使用最多,应用最广. 特点是:多线程,效率较高,但不够稳定. 3.FastCGI方式加载PHP环境,在IIS环境里并不常见,但其它系统环境应用还是有的,不过IIS7.0开始内置FastCGI了. 特点是:高效率,高稳			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAXOk3b.html" rel="bookmark">windows server 2008&sol;2012安装php iis7 mysql环境搭建教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				windows server 2008/2012安装php iis7 mysql环境搭建教程,具体内容如下 1.安装IIS windows server 2008的IIS版本为7.0,包括fastcgi,安装十分方便. 打开&quot;开始&quot;菜单→&quot;服务器管理&quot;,出现服务器管理界面(图1) 图1 - 服务器管理 滚动条下翻,或者点击主菜单的&quot;角色&quot;,然后点击&quot;添加角色&quot;,出现向导页面后点击下一步,选择&quot;web服务器(IIS)&			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdrgxb.html" rel="bookmark" class="title">狐狸：交易担保很疯狂，网络上你可以是只狗</a>
					<div>
						今天,落伍打破了尘封已久的版权说明.开始支持交易担保.落伍的鱼也开始不低调了.打起为草根站长服务的旗号.一口气开了5个版面.看来,针对千万草根站长的巨大市场,谁也不甘寂寞.就连一向低调的鱼,也忍不住开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrGQ1p.html" rel="bookmark" class="title">Common ASP&period;NET Code Techniques &lpar;DPC&amp;amp&semi;DWCReference&rpar;-</a>
					<div>
						One of the things that I personally found frustrating with classic ASP was the difficulty associated ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaJ4NM.html" rel="bookmark" class="title">过滤ASP&period;NET输出HTML中的无用空格</a>
					<div>
						asp.net 刚才&quot;不小心&quot;检查了一下ASP.NET生成的代码,惊讶地发现ASP.NET输出的代码居然如此地不紧凑,在标签之间有无数的空格和制表符(TAB),特别是用了嵌套表格之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze3G0M.html" rel="bookmark" class="title">增加判断文字长度，汉字算2个</a>
					<div>
						汉字 strName= Regex.Replace(strName,&quot;[\u4e00-\uf900]&quot;,&quot;aa&quot;);int Length=strName.Len ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PBljM.html" rel="bookmark" class="title">如何在BCB中调试Active Form</a>
					<div>
						1. Project--&gt;Options--&gt;Compiler--&gt;点击Full Debug 2. Project--&gt;Build All Projects 3. 在需要调试的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4qq9p.html" rel="bookmark" class="title">4要点分析电商网站设计精髓</a>
					<div>
						  构图分析(总结出四大类型) 配色分析(从配色基础原理出发分析) 辅助元素应用(分析其大规则) 实际应用(我们该怎么做?) 构图 构图一:中心集中式 整体由一个主要元素,而主标题作为次要元素配合,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL1wYb.html" rel="bookmark" class="title">利用PS滤镜及画笔给人物增加飘逸流体效果</a>
					<div>
						  制作流体及打散效果的思路基本类似,主要有三个大的步骤:首先需要把人物或主体单独抠出来,并复制到新的图层;然后用液化或涂抹工具把需要添加流体的部分加长一点;最后用蒙版及画笔控制流体区域,并更换背景就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP51oz.html" rel="bookmark" class="title">如何导出Edge收藏夹&quest;</a>
					<div>
						  Edge浏览器收藏夹备份方法: 打开Edge浏览器收藏夹位置: 按Win+R打开运行或直接在资源管理器地址栏中输入下面的路径回车即可 %LocalAppData%PackagesMicrosoft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2e84b.html" rel="bookmark" class="title">Photoshop钢笔工具的使用详解</a>
					<div>
						贝塞尔曲线工具是绘图软件安中非常重要的绘形工具,但是很多人都觉得难以掌握,本教程简明扼要地介绍了Photoshop中的钢笔工具的功能和使用,相信对大家会有帮助. 在Photoshop中,如何得到想要的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEB17b.html" rel="bookmark" class="title">RedHat系统上基本的网络连接和设置方法</a>
					<div>
						  在开始本章内容讲解前,特别声明,由于这么多年的运维工作中从来没有碰到过配置IPv6的需求,所以这里就不针对IPv6做过多的讲解. 一.Linux图形化网络配置 在Red Hat Linux中配置联 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGYa3b.html" rel="bookmark" class="title">Win7系统魔兽不能全屏怎么解决</a>
					<div>
						  魔兽世界是目前热门的大众网络游戏,喜欢玩游戏的朋友相信对这款游戏并不陌生.不过有用户从WinXP系统升级到Win7之后,发现玩魔兽世界不能全屏了.怎么办?出现这样的问题怎么解决呢?今天,小编就和大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWNkQb.html" rel="bookmark" class="title">MindMapper怎么搜索导图&quest;</a>
					<div>
						  我们打开MindMapper思维导图后,先点击[首页]工具栏中的编辑选项. 随后在编辑下拉框内点击搜索→搜索导图. 在我们打开的搜索导图窗口中,我们首先输入搜索的导图的关键词,然后在选择搜索目标文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY2kkM.html" rel="bookmark" class="title">从七大维度谈NoSQL数据库安全风险</a>
					<div>
						        随着近年数据规模的爆发式增长,数据库的发展也经历了快速演变,NoSQL数据库从2009年登上历史舞台只用了八年时间,目前已经在主流数据库中占据3个席位.NoSQL凭借其读取数据的高效性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr9PAp.html" rel="bookmark" class="title">asp中去除内容HTML标签的三个function函数&lowbar;应用技巧</a>
					<div>
						复制代码 代码如下: '============================== '功能描述: 用正则除去HTML标记 '不能保留&lt;b&gt;&lt;strong&gt;等以及用户自定义的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6mAwb.html" rel="bookmark" class="title">数组 连续 判断-循环逻辑问题，在判断语句里获得连续进入判读语句的次数</a>
					<div>
						问题描述 循环逻辑问题,在判断语句里获得连续进入判读语句的次数 如有一数组数据: 1,1,2,1,2,2,1,1,1,2,1,2,1,2,1,2,2,2,2 如何判断连续1后面为2的连续数 如(1,2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlGL3b.html" rel="bookmark" class="title">包含通配符的equals</a>
					<div>
						1场景描述 网站要实现自动化测试,但是界面上有图形验证码,所以没法自动化. 如何解决呢? 我专门为测试同事写了一个接口,用于返回图形验证码明文,比如  我返回的就是PFXa   但是这个接口不能暴露在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5LVBM.html" rel="bookmark" class="title">再说Oracle Listener动静态注册</a>
					<div>
						监听器Listener是Oracle Client Process和实例远程建立连接关系的必经之路.借助Listener,Client Process可以实现和一个特定的Server Process建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKZ73b.html" rel="bookmark" class="title">投资者一定要看！2015年投资机会解析</a>
					<div>
						2014年下半年以来,A股市场的变化节奏之快,超出了很多人的预期.12月份大盘蓝筹股的急速上涨过程中,不少投资者感慨&quot;满仓踏空&quot;.&quot;熊市里 辛苦赚到的钱,都在牛市中赔出去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKDY3b.html" rel="bookmark" class="title">Yii控制器中filter过滤器用法分析&lowbar;php实例</a>
					<div>
						本文实例讲述了Yii控制器中filter过滤器用法.分享给大家供大家参考,具体如下: 指定过滤动作,(如下projectContext()方法在新建,列表,管理页面调用时使用) public func ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBnWOM.html" rel="bookmark" class="title">电脑怎么重装系统？</a>
					<div>
						1.什么情况下电脑需要重装呢? A.http://www.aliyun.com/zixun/aggregation/32593.html&quot;&gt;系统运行效率变得低下,垃圾文件充斥硬盘且散乱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXJW6z.html" rel="bookmark" class="title">四点周鸿祎给创业者的建议</a>
					<div>
						周鸿祎:是360安全卫士(微博)董事长兼CEO,曾创立过3721然后出售给雅虎,同时他也是一位天使投资人. 每次提到大学生的创业,我都非常纠结,你知道有多少成功率吗?有人会举例比尔·盖茨,但是你要知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjK4WM.html" rel="bookmark" class="title">eclipse安装weblogic后部署项目报错，</a>
					<div>
						问题描述 eclipse安装weblogic后部署项目报错, 直接点击base_domain下的start.cmd文件部署发布是伪问题的,求大神指教.... java.lang.Exception:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR20Bb.html" rel="bookmark" class="title">c-VC6 默认缓冲区空间问题&lpar;与&lowbar;M&lowbar;MPPC&rpar;</a>
					<div>
						问题描述 VC6 默认缓冲区空间问题(与_M_MPPC) 在网络上看到资料:&quot;如果我们没有自己设置缓冲区的话,系统会默认为标准输入输出设置一个缓冲区,这个缓冲区的大小通常是512个字节的大小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXr5xb.html" rel="bookmark" class="title">方法-报错：未将对象引用设置到对象的实例。下面是代码</a>
					<div>
						问题描述 报错:未将对象引用设置到对象的实例.下面是代码 public class Temporary { //public string Query_NAME { get; set; } publi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLdRRM.html" rel="bookmark" class="title">大神帮帮忙-如何用&NewLine;来分割字符串</a>
					<div>
						问题描述 如何用n来分割字符串 String str = &quot;萨斯法国n对方是个n倒萨规范n&quot;; 如何用split方法对字符串按照n进行分割, str.split('');括号里该怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RKWmz.html" rel="bookmark" class="title">《万物互联》&mdash;&mdash;2&period;9 从物联网中盈利</a>
					<div>
						2.9 从物联网中盈利 作为消费者,从物联网中发现对我们的价值是一个角度,但是商业世界是从另一个角度,即作为一个有广阔盈利前景的角度,来考察物联网的.这毕竟是资本主义的本性. 物联网的机会到底有多大? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnggWM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;AI&plus;中国&rdquo;将成ISC17国际超算大会关键词！</a>
					<div>
						6月18-22日,2017国际超级计算大会(ISC17)将在德国法兰克福展览中心举行.作为全球重量级的技术大会,ISC17吸引了超过3000名工程师.IT专家.系统开发人员.供应商.科学家.研究人员. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnmjxp.html" rel="bookmark" class="title">thinkPHP基于ajax实现的菜单与分页示例&lowbar;php实例</a>
					<div>
						本文实例讲述了thinkPHP基于ajax实现菜单与分页的方法.分享给大家供大家参考,具体如下: 一个分类菜单,使用ajax实现: function getid(id){ $.ajax({ url:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44Xvjz.html" rel="bookmark" class="title">php正确处理照片的旋转问题</a>
					<div>
						前言 iPhone和一些数码相机在拍照的时候往往会在图片里面加入很多的照片信息(exif),比如拍照时间.光圈大小.曝光时间.GSP地理信息以及拍摄时相机倾斜状态等等,这些信息往往会提供给某些系统来对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWKZYz.html" rel="bookmark" class="title">求jMonkeyEngine支持的赛道场景</a>
					<div>
						问题描述 有没人用工jMonkeyEngine开发赛车游戏啊,或用java开发的其他3D游戏,或者blender的高手?小弟现在用JMonkeyEngine做个小赛车游戏,急需一个跑道的场景啊,那位前 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
